#ifndef _vteCuttingPlane_h
#define _vteCuttingPlane_h

#include "vteContours.h"
#include "vteCollection.h"
#include "vteDataTypes.h"

#include "vtkLookupTable.h"
#include "vtkPlane.h"
#include "vtkCutter.h"
#include "vtkPolyDataMapper.h"
#include "vtkLODActor.h"

class vteCuttingPlane:public vteContours
{
public:
	static vteCuttingPlane *New(vteGridForVtk *grid_for_vtk);
	void Delete();

	vtePoint *GetOrigin() {return &origin;}
	vteVector *GetNormal() {return &normal;}
	vtkCutter *GetCutter() {return cutter;}

	void SetOrigin(vtePoint *o);
	void SetNormal(vteVector *n);
	void Modified();

	vtkLODActor *GetCutterActor() {return cutter_actor;}
	vtkLODActor *GetContourActor() {return contour_actor;}
	vtkPolyDataMapper *GetCutterMapper() {return cutter_mapper;}
	vtkPolyDataMapper *GetContourMapper() {return contour_mapper;}
	vtkPlane *GetPlane() {return plane;}
	void UpdatePlane();
	
	vteCuttingPlane();
	~vteCuttingPlane();

protected:
	vtkLookupTable *contour_lut;
	vtkPlane *plane;
	vtkCutter *cutter;
	vtkPolyDataMapper *cutter_mapper;
	vtkPolyDataMapper *contour_mapper;
	vtkLODActor *cutter_actor;
	vtkLODActor *contour_actor;

	vtePoint origin;
	vteVector normal;
};

class vteCuttingPlaneCollection:public vteCollection
{
public:
	static vteCuttingPlaneCollection *New();
	void Delete();

	vteCuttingPlane *NewCuttingPlane(vteGridForVtk *grid_for_vtk);
	void RemoveCuttingPlane(int i);
	vteCuttingPlane *GetCuttingPlane(int i);

protected:
	vteCuttingPlaneCollection();
	~vteCuttingPlaneCollection();

	vteCuttingPlane **cutting_plane;
};

#endif
