#ifndef _vteDataTypes_h
#define _vteDataTypes_h

#define VEC_ZERO(a) {a[0]=0;a[1]=0;a[2]=0;}
#define VEC_COPY(a,b) {a[0]=b[0];a[1]=b[1];a[2]=b[2];}
#define VEC_ADD(a,b) {a[0]+=b[0];a[1]+=b[1];a[2]+=b[2];}

struct vteRange
{
	double min,max;
};

struct vteGlyph
{
	double x[3];
	double u[3];
	int t;
};

struct vtePoint
{
	double x[3];
};

struct vteVector
{
	double u[3];
};

struct vteNode
{
	double x[3];
	int color_index;
};

struct vteCell
{
	unsigned int node1, node2, node3;
};

struct vteBoxIndex
{
	unsigned long A,B,C,D,E,F,G,H;
	bool valid;
};

typedef double vteGridData;

struct vteColor
{
	double r;
	double g;
	double b;
	double a;
};

enum GlyphSource {CLOUD,TRIANGLE,WEDGE,LO_RES_CONE,MED_RES_CONE,HI_RES_CONE,CUBE,LO_RES_SPHERE,MED_RES_SPHERE,HI_RES_SPHERE,NUMBER_OF_SOURCE_TYPES};

struct vteGlyphGeometry
{
	GlyphSource source;
	double size;
	vteColor color;
};

struct vtePlaneDefinition
{
	vtePoint origin;
	vteVector normal;
	double alpha;
	int number_of_levels;
};
#endif
