#ifndef _vteDialogGridProperties
#define _vteDialogGridProperties

#include <QDialog>
#include <QButtonGroup>
#include <QRadioButton>
#include <QLineEdit>
#include <QLabel>
#include <QPushButton>
#include <QSlider>
#include <QListView>
#include <QWidget>
#include <QString>
#include <QSpinBox>

#include "vteDataTypes.h"

class vteDialogGridProperties : public QDialog
{
    Q_OBJECT

public:
    vteDialogGridProperties(unsigned int noc, unsigned int active, vteRange *absolute_r,vteRange *user_r,
        QString *names,QWidget* parent = 0, Qt::WFlags fl = 0 );
    ~vteDialogGridProperties();

    QButtonGroup* buttonGroup7;
    QRadioButton* radioDefault;
    QRadioButton* radio8;
    QRadioButton* radio64;
    QButtonGroup* buttonGroup6;
    QLineEdit* textMin;
    QLabel* textLabel2_3;
    QLabel* textLabel2;
    QLineEdit* textMax;
    QSlider* sliderMax;
    QSlider* sliderMin;
    QPushButton* buttonCancel;
    QPushButton* buttonOK;
    QButtonGroup* buttonGroup4;
    QListView* listComponent;

public slots:
    void UpdateSliders();
    void SliderMinMoved();
    void SliderMaxMoved();
    void InitValues();

protected:
    void UpdateTextFields();

    unsigned int active_component;
    vteRange *absolute_range;
    vteRange *user_range;
    bool updating;
protected slots:
    virtual void languageChange();
};

#endif
