#ifndef _vteDialogPlanesProperties_h
#define _vteDialogPlanesProperties_h

#include "vteDataTypes.h"

#include <QDialog>
#include <QLabel>
#include <QLineEdit>
#include <QListView>
#include <QSpinBox>
#include <QStandardItemModel>

class vteDialogPlanesProperties : public QDialog
{
    Q_OBJECT

public:
    vteDialogPlanesProperties(vtePlaneDefinition * plane_definition,int nop,
      QWidget* parent = 0, Qt::WFlags fl = 0 );
    ~vteDialogPlanesProperties();

    QLineEdit* textX;
    QLineEdit* textY;
    QLineEdit* textZ;
    QLineEdit* textI;
    QLineEdit* textJ;
    QLineEdit* textK;
    QListView* listPlanes;
	QStandardItemModel *model;
    QPushButton* buttonAdd;
    QPushButton* buttonCancel;
    QPushButton* buttonOK;
    QSpinBox* spinContourLevels;
    QSpinBox* spinTransparency;

public slots:
    virtual void AddPlane();
    virtual void DeletePlane();
    virtual void UpdateTextFields();
    virtual void UpdatePlaneDefinitions();
protected:
    vtePlaneDefinition *plane_definition;
    bool updating;
protected slots:
    virtual void languageChange();
};

#endif
