//class definition for vteFileReader

#ifndef _vteFileReader_h
#define _vteFileReader_h

#include "vteObject.h"

#include "vteGeometry.h"
#include "vteGlyphs.h"
#include "vteGrid.h"
#include "vteFrame.h"

#include <fstream>
using namespace std;

class vteFileReader:public vteObject
{
public:
	static vteFileReader* New(const char *file_name);
	void Delete();

	int Execute();
	
	char *GetTitle() {return title;}
	char *GetDescription() {return description;}
	const char *GetFileName() {return input_file_name;}

	vteGeometryCollection *GetGeometryCollection() {return &geometry_collection;}
	vteGlyphSetCollection *GetGlyphSetCollection() {return &glyph_set_collection;}
	vteGridFrameCollection *GetGridFrameCollection() {return &grid_frame_collection;}

	unsigned long GetCheckSum1();
	unsigned long GetCheckSum2();
	
protected:
	vteFileReader();
	~vteFileReader();

	int Read(char *file_name);
	int ReadGlyphSet(ifstream &file);
	int ReadGeometry (ifstream &file);
	int ReadGrid (ifstream &file);

private:
	bool warning, error;

	char input_file_name[1000];
	
	char *title;
	char *description;

	/*these should be moved out of here and put in input*/
	vteGeometryCollection geometry_collection;
	vteGlyphSetCollection glyph_set_collection;
 	vteGridFrameCollection grid_frame_collection;
};

#endif
