//superclass for frame data - will do virtual memory management
#ifndef _vteFrame_h
#define _vteFrame_h

#include "vteObject.h"
#include "vteDataTypes.h"
#include "vteCollection.h"

/***********************************
vteFrameCollection

Defines generic frame container
************************************/
class vteFrameCollection:public vteCollection
{
public:
	virtual unsigned int MembersInFrame(int index = -1) = 0;
	
	long GetCurrentFrame() {return frame_index;}
	void SetCurrentFrame(long index) {frame_index=index;}

	void SetTupleSize(unsigned int size) {tuple_size=size;}
	unsigned int GetTupleSize() {return tuple_size;}

	long GetMaxFrame() {return max_frame;}   
	unsigned int GetMaxTuples() {return max_tuples;}
	bool GetWarning() {return warning;}

protected:
	vteFrameCollection();
	~vteFrameCollection();

	int max_frame;
	
	unsigned int max_tuples;
	bool warning;

	unsigned int tuple_size;
	long frame_index;
};

#endif
