#include "vteDialogGlyphProperties.h"

#include <strstream>
#include <QLabel>
#include <QVBoxLayout>
#include <QGroupBox>
#include <QButtonGroup>

using namespace std;

vteDialogGlyphProperties::vteDialogGlyphProperties( bool enabled, float scaling_factor, QWidget* parent, Qt::WFlags fl )
    : QDialog( parent, fl )
{
	
	buttonOK = new QPushButton(tr("&OK"));
    buttonOK->setDefault( TRUE );

    buttonCancel = new QPushButton(tr("Cancel"));

	
	scalingBox = new QGroupBox(tr("Enabled"));
	scalingBox->setCheckable(true);
	scalingBox->setChecked(false);

	QHBoxLayout *hbox2 = new QHBoxLayout;
	textLabel = new QLabel ( tr("Scaling Factor: ") );
	textScalingFactor = new QLineEdit();
	textScalingFactor->setMaxLength(5);
    
	hbox2->addWidget(textLabel);
	hbox2->addWidget(textScalingFactor);
	scalingBox->setLayout(hbox2);

	QWidget *buttons = new QWidget;
	QHBoxLayout *hbox = new QHBoxLayout;
	hbox->addStretch(1);
	hbox->addWidget(buttonOK);
	hbox->addWidget(buttonCancel);
	hbox->addStretch(1);
	buttons->setLayout(hbox);
	
	/*add our groups to the GUI*/
	QVBoxLayout *layout = new QVBoxLayout;
	layout->addWidget(scalingBox);
	layout->addWidget(buttons);
	setLayout(layout);
    
    // signals and slots connections
    connect( buttonOK, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
  
    strstream str_scaling_factor;
    str_scaling_factor<<scaling_factor<<'\0';
    textScalingFactor->setText(tr(str_scaling_factor.str()));

    if (enabled)
		scalingBox->setChecked(TRUE);
	else
		scalingBox->setChecked(FALSE);
}

vteDialogGlyphProperties::~vteDialogGlyphProperties()
{
}

void vteDialogGlyphProperties::languageChange()
{
}
