#include <qvariant.h>
#include <q3buttongroup.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <q3whatsthis.h>
#include <qcombobox.h>

#include "vteDialogNetworkStart.h"
/*
 *  Constructs a vteDialogNetwork as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
vteDialogNetworkStart::vteDialogNetworkStart( QWidget* parent, const char* name, bool modal, Qt::WFlags fl )
    : QDialog( parent, name, modal, fl )

{
    if ( !name )
	setName( "vteDialogNetworkStart" );

    buttonGroup1 = new Q3ButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setGeometry( QRect( 20, 20, 350, 150 ) );

    textLabel1_1 = new QLabel( buttonGroup1, "textLabel1_1" );
    textLabel1_1->setGeometry( QRect( 40, 25, 130, 30 ) );

    leConnectionSpeed = new QComboBox( buttonGroup1, "leConnectionSpeed" );
    leConnectionSpeed->setGeometry( QRect( 180, 30, 100, 20));
    leConnectionSpeed->insertItem("DSL 100Kb",-1);
    leConnectionSpeed->insertItem("Cable 200Kb",-1);
    leConnectionSpeed->insertItem("LAN T1 500Kb",-1);
    leConnectionSpeed->insertItem("LAN T3 1Mb",-1);

    rbServer = new QRadioButton( buttonGroup1, "rbServer" );
    rbServer->setGeometry( QRect( 40, 50, 80, 21 ) );
    rbServer->setChecked( TRUE );

    rbClient = new QRadioButton( buttonGroup1, "rbClient" );
    rbClient->setGeometry( QRect( 40, 70, 80, 21 ) );


    textLabel1_2 = new QLabel( buttonGroup1, "textLabel1_2" );
    textLabel1_2->setGeometry( QRect( 60, 100, 50, 30 ) );

    leServerAddress = new QLineEdit( buttonGroup1, "leServerAddress" );
    leServerAddress->setGeometry( QRect( 110, 100, 210, 30 ) );
    leServerAddress->setEnabled(false);
    leServerAddress->setText(tr("localhost"));

    buttonGroup3 = new Q3ButtonGroup( this, "buttonGroup3" );
    buttonGroup3->setGeometry( QRect( 20, 180, 350, 120 ) );

    textLabel1_3 = new QLabel( buttonGroup3, "textLabel1_3" );
    textLabel1_3->setGeometry( QRect( 50, 70, 42, 30 ) );

    textLabel1 = new QLabel( buttonGroup3, "textLabel1" );
    textLabel1->setGeometry( QRect( 50, 30, 32, 30 ) );

    lePort = new QLineEdit( buttonGroup3, "lePort" );
    lePort->setGeometry( QRect( 80, 30, 70, 30 ) );
    lePort->setText(tr("4242"));

    leName = new QLineEdit( buttonGroup3, "leName" );
    leName->setGeometry( QRect( 90, 70, 110, 30 ) );
    leName->setText(tr("Name"));

    pbOK = new QPushButton( this, "pbOK" );
    pbOK->setGeometry( QRect( 100, 300, 80, 41 ) );

    pbCancel = new QPushButton( this, "pbCancel" );
    pbCancel->setGeometry( QRect( 210, 300, 100, 41 ) );
    languageChange();
    resize( QSize(389, 360).expandedTo(minimumSizeHint()) );

    // signals and slots connections
    connect( pbOK, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    connect( rbClient, SIGNAL( toggled(bool) ), leServerAddress, SLOT( setEnabled(bool) ) );

}

/*
 *  Destroys the object and frees any allocated resources
 */
vteDialogNetworkStart::~vteDialogNetworkStart()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void vteDialogNetworkStart::languageChange()
{
    setCaption( tr( "Network" ) );
    buttonGroup1->setTitle( tr( "Connection Type" ) );
    rbServer->setText( tr( "Server" ) );
    rbClient->setText( tr( "Client" ) );
    textLabel1_1->setText( tr( "Connection Speed:" ) );
    textLabel1_2->setText( tr( "Server:" ) );
    buttonGroup3->setTitle( tr( "Connection Settings" ) );
    textLabel1_3->setText( tr( "Name:" ) );
    textLabel1->setText( tr( "Port:" ) );
    pbOK->setText( tr( "&OK" ) );
    pbCancel->setText( tr( "&Cancel" ) );
}

