#include "vteDialogPlaybackProperties.h"
#include <strstream>
#include <iostream>
//Added by qt3to4:
//#include <QLabel>

using namespace std;

vteDialogPlaybackProperties::vteDialogPlaybackProperties( long current_frame, long max_frame,int playback_rate, QWidget* parent, const char* name, bool modal, Qt::WFlags fl )
    : QDialog( parent, name, modal, fl )

{
  	if ( !name )	setName( "vteDialogPlaybackProperties" );

    buttonGroup23 = new Q3ButtonGroup( this, "buttonGroup23" );
    buttonGroup23->setGeometry( QRect( 10, 10, 390, 120 ) );

    textLabel6 = new QLabel( buttonGroup23, "textLabel6" );
    textLabel6->setGeometry( QRect( 20, 30, 45, 30 ) );

    textLabel6_2 = new QLabel( buttonGroup23, "textLabel6_2" );
    textLabel6_2->setGeometry( QRect( 20, 70, 128, 30 ) );

    textRate = new QLabel( buttonGroup23, "textRate" );
    textRate->setGeometry( QRect( 250, 30, 80, 30 ) );

    sliderFrame = new QSlider( buttonGroup23, "sliderFrame" );
    sliderFrame->setGeometry( QRect( 150, 70, 171, 20 ) );
    sliderFrame->setOrientation( Qt::Horizontal );
		sliderFrame->setMinValue(1);
		sliderFrame->setMaxValue(max_frame+1);

    textFrame = new QLabel( buttonGroup23, "textFrame" );
    textFrame->setGeometry( QRect( 330, 70, 40, 30 ) );

    sliderRate = new QSlider( buttonGroup23, "sliderRate" );
    sliderRate->setGeometry( QRect( 70, 30, 171, 20 ) );
    sliderRate->setMinValue( 1 );
		sliderRate->setMaxValue( 20 );
    sliderRate->setOrientation( Qt::Horizontal );

    buttonOK = new QPushButton( this, "buttonOK" );
    buttonOK->setGeometry( QRect( 160, 150, 90, 40 ) );
    buttonOK->setDefault( TRUE );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setGeometry( QRect( 270, 150, 119, 40 ) );
    languageChange();
    resize( QSize(412, 207).expandedTo(minimumSizeHint()) );

    // tab order
    setTabOrder( sliderRate, sliderFrame );
    setTabOrder( sliderFrame, buttonOK );
    setTabOrder( buttonOK, buttonCancel );

		sliderFrame->setValue(current_frame+1);
		sliderRate->setValue(playback_rate);
		UpdateRate(playback_rate);
		UpdateFrame(current_frame+1);

    // signals and slots connections
    connect( sliderRate, SIGNAL( valueChanged(int) ), this, SLOT( UpdateRate(int) ) );
    connect( sliderFrame, SIGNAL( valueChanged(int) ), this, SLOT( UpdateFrame(int) ) );
    connect( buttonOK, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );


}

/*
 *  Destroys the object and frees any allocated resources
 */
vteDialogPlaybackProperties::~vteDialogPlaybackProperties()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void vteDialogPlaybackProperties::languageChange()
{
    setCaption( tr( "Playback Properties" ) );
    buttonGroup23->setTitle( tr( "Playback" ) );
    textLabel6->setText( tr( "Rate:" ) );
    textLabel6_2->setText( tr( "Current Frame:" ) );
    buttonOK->setText( tr( "&OK" ) );
    buttonCancel->setText( tr( "&Cancel" ) );
}

void vteDialogPlaybackProperties::UpdateRate(int rate)
{
  strstream rate_str;
	rate_str<<rate<<" fps"<<'\0';
	textRate->setText(tr(rate_str.str()));
}

void vteDialogPlaybackProperties::UpdateFrame(int frame_index)
{
 strstream frame_str;
 frame_str<<frame_index<<'\0';
 textFrame->setText(tr(frame_str.str()));
}
