#include "vteObject.h"

#include <QString>

#include <iostream>
#include <iomanip>
#include <time.h>
#include <string>

using namespace std;
vteObject::vteObject()
{
	executed=false;
	status_bar=NULL;
}

vteObject::~vteObject()
{
	// do nothing
}
  
void vteObject::PrintHeader()
{
	cout.setf(ios::showpoint);
	cout<<setprecision(3);

	cout<<"*************************************************"<<endl;
	cout<<"*     Virtual Testing Environment ver. "<<VERSION<<"     *"<<endl;
	cout<<"*       Particle In Cell Consulting             *"<<endl;
	cout<<"*             particleincell.com                *"<<endl;
 	cout<<"*                                               *"<<endl;
 	cout<<"*             BUILD: "<<__DATE__<<"                *"<<endl;
	cout<<"*  Created by: L. Brieda, J. Pierru             *"<<endl;
	cout<<"*  With the assistance of: Dr. J. Wang,         *"<<endl;
	cout<<"*  R. Kafafy, B. Tran, R. Stillwater            *"<<endl;
	cout<<"*************************************************"<<endl<<endl;
}

void vteObject::Message(const char *m1, const char *m2, const char *m3, const char *m4)
{
	string message;

	if (m1!=NULL) message=message+m1;
	if (m2!=NULL) message=message+m2;
	if (m3!=NULL) message=message+m3;
	if (m4!=NULL) message=message+m4;

	if (status_bar==NULL)
		cout<<message<<endl;
	else
	{
		QString string(message.c_str());
		status_bar->showMessage(message.c_str(),3000);
	}
}
  
int vteObject::ErrorMessage(const char *m1, const char *m2, const char *m3, const char *m4)
{
	string message;

	message=" ERROR: ";

	if (m1!=NULL) message=message+m1;
	if (m2!=NULL) message=message+m2;
	if (m3!=NULL) message=message+m3;
	if (m4!=NULL) message=message+m4;

	cout<<message<<endl;
	if (status_bar==NULL)
		cout<<message<<endl;
	else
	{
		QString string(message.c_str());
		status_bar->showMessage(message.c_str(),3000);
	}
	return vteERROR;
}

int vteObject::WarningMessage(const char *m1,const char *m2,const char *m3, const char *m4)
{
	string message;

	message=" WARNING: ";
  
	if (m1!=NULL) message=message+m1;
	if (m2!=NULL) message=message+m2;
	if (m3!=NULL) message=message+m3;
	if (m4!=NULL) message=message+m4;

	cout<<message<<endl;
	if (status_bar==NULL)
		cout<<message<<endl;
	else
	{                                                                            
		QString string(message.c_str());
		status_bar->showMessage(message.c_str(),3000);
	}
		
	return vteWARNING;
}
