#include "vteScalarBar.h"

vteScalarBarForVtk::vteScalarBarForVtk()
{
	actor=NULL;
	grid_for_vtk=NULL;
}

vteScalarBarForVtk::~vteScalarBarForVtk()
{
	if (actor!=NULL) actor->Delete();
}

vteScalarBarForVtk *vteScalarBarForVtk::New(vteGridForVtk *grid_for_vtk)
{
	vteScalarBarForVtk *scalar_bar_for_vtk=new vteScalarBarForVtk;
	if (scalar_bar_for_vtk==NULL) return NULL;
  
	scalar_bar_for_vtk->actor=vtkScalarBarActor::New();
	scalar_bar_for_vtk->grid_for_vtk=grid_for_vtk;
	
	scalar_bar_for_vtk->actor->SetOrientationToHorizontal();
	scalar_bar_for_vtk->actor->GetPositionCoordinate()->SetCoordinateSystemToNormalizedViewport();
	scalar_bar_for_vtk->actor->GetPositionCoordinate()->SetValue(0.4,0.01);
	scalar_bar_for_vtk->actor->SetWidth(0.55);
	scalar_bar_for_vtk->actor->SetHeight(0.15);
	scalar_bar_for_vtk->actor->SetTitle(grid_for_vtk->GetInput()->GetVarName());
	scalar_bar_for_vtk->actor->SetLookupTable(grid_for_vtk->GetLut());

	Define(scalar_bar_for_vtk);
	return scalar_bar_for_vtk;
}

void vteScalarBarForVtk::Update()
{
	actor->VisibilityOff();
	actor->SetTitle(grid_for_vtk->GetInput()->GetVarName());
	actor->SetLookupTable(grid_for_vtk->GetLut());
	actor->Modified();
	actor->VisibilityOn();

}

void vteScalarBarForVtk::Delete()
{
	delete this;
}
