#include "vteTitle.h"
#include "vtkTextActor.h"
#include "vtkTextProperty.h"

vteTitleForVtk::vteTitleForVtk()
{
  actor=NULL;
  title=NULL;
}

vteTitleForVtk::~vteTitleForVtk()
{
  if (actor!=NULL) actor->Delete();
}

vteTitleForVtk *vteTitleForVtk::New(char *input)
{
	if (!input) return NULL;
	
	vteTitleForVtk *title_for_vtk=new vteTitleForVtk;
  
	if (!title_for_vtk)
		return NULL;
	
	//generate text actor
	title_for_vtk->actor=vtkTextActor::New();
	if (!title_for_vtk->actor)
		return NULL;
 
	title_for_vtk->actor->SetInput(input);
	title_for_vtk->actor->GetTextProperty()->SetFontFamilyToArial();
	title_for_vtk->actor->GetTextProperty()->SetFontSize(18);
	title_for_vtk->actor->GetTextProperty()->BoldOn();
	title_for_vtk->actor->GetTextProperty()->ItalicOn();
	title_for_vtk->actor->GetTextProperty()->ShadowOn();
	title_for_vtk->actor->GetTextProperty()->SetColor(.5,.5,0);
	title_for_vtk->actor->SetDisplayPosition(10,10);
	title_for_vtk->actor->SetMaximumLineHeight(.6);
	Define(title_for_vtk);
	
	return title_for_vtk;
}

void vteTitleForVtk::Delete()
{
  delete this;
}
